#ifndef COMBATINFO_HPP_INCLUDED
#define COMBATINFO_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include "LinkedList.hpp"
#include "HealthInfo.hpp"

namespace Internal
{
    class CombatInfo : public Node
    {
        public:
            CombatInfo();
            CombatInfo(const void* Obj);
            CombatInfo(const CombatInfo& C);
            static Class GetClass();

            LinkedList GetHealthBar() const;
            HealthInfo GetHealthInfo() const;

    };
}

#endif // COMBATINFO_HPP_INCLUDED
